{  Example program for current fill style "FLSTYL" function  }
program test;

uses hlev0, Crt;

type
   Pattern = array[0..63] of byte;

const
   Style1 : Pattern = (9,9,9,9,9,9,9,9,
                       9,7,7,7,7,7,7,9,
                       9,7,1,1,1,1,7,9,
                       9,7,1,8,8,1,7,9,
                       9,7,1,8,8,1,7,9,
                       9,7,1,1,1,1,7,9,
                       9,7,7,7,7,7,7,9,
                       9,9,9,9,9,9,9,9);
var
   I  : integer;

begin
   init(1);
{  Draw a solid filled rectangle  }
   dcolor(12);
   rectab(10,10,100,100,1);
{  Draw a patterned filled rectangle  }
   flstyl( Style1 );
   rectab(200,10,400,200,1);
{  Draw a patterned filled rectangle transparency  }
   patbcl(-1);
   dcolor(9);
   rectab(50,50,150,150,1);
{  Reset the pattern to solid by making all elements the same  }
   for I := 0 to 63 do begin
      Style1[I] := 1;
   end;
   flstyl(Style1);
{  Draw a solid filled rectangle  }
   dcolor(2);
   rectab(10,10,100,100,1);
   moveab(10,335);
   dcolor(15);
   text('Press <Return> to exit...');
   Readln;
   finit;
end.


