{  Example program for generate a polygon "POLYAB" function  }
program test;

uses hlev0, Crt;

type
   Point = record
   X,Y : Integer;
end;
const
   Hexagon: array[0..5] of Point = ( (x: 200; y: 100),(x: 350; y: 150),
                                     (x: 350; y: 200),(x: 200; y: 250),
                                     (x:  50; y: 200),(x:  50; y: 150) );
var
   I  : Integer;
begin
   init(1);
   dcolor(10);
{  Draw a solid filled polygon  }
   polyab(6,Hexagon,1);
{  Move over and draw an outlined polygon  }
   for I := 0 to 5  do begin
      Hexagon[I].x := Hexagon[I].x + 200;
   end;
{  Move to the last point to close the region  }
   moveab(Hexagon[5].X,Hexagon[5].Y);
   polyab(6,Hexagon,0);
   moveab(10,335);
   dcolor(15);
   text('Press <Return> to exit...');
   Readln;
   finit;
end.
       
     
