{  This is an example program for the function PBFILE  }

program test;

uses hlev0, Crt;

const
	fscreen : string[11] = 'fullscr.pcx';
	pscreen : string[11] = 'partial.pcc';

var
    Error, I :  Integer;
    Setup    :  array[0..3] of integer;

begin
        init(1);
	error := 0;
{  Frame the screen  }
        dcolor(2);
        rectab(0,0,639,349,0);
        for I := 1 to 16 do begin
            dcolor(i);
            rectab((i*30),10,20+(i*30),100,1);
        end;
	dcolor( 15 );
{  Save the screen to a .PCX file }
        setup[0] := 0;               {  .PCX   }
        setup[1] := 1;               {  write to a file  }
        setup[2] := 640;             {  width of region  }
        setup[3] := 350;             {  height of region  }
        pbfile( fscreen, setup, error );
        if( error <> 0 ) then
	begin
            text('Error writing screen..');
        end;
        moveab(10,120);
        text('Press return to read image back..');
        readln;
        derase;                 {  clear screen  }
        moveab(0,0);
        setup[1] := 0;          {  read file     }
        pbfile( fscreen, setup, error );
        if( error <> 0 ) then
	begin
            text('Error reading screen..');
        end;
{  Save a portion of the screen to a .PCC file  }

        moveab(30,10);
        setup[0] := 1;               {  .PCC  }
        setup[1] := 1;               {  write to a file  }
        setup[2] := 200;             {  width of region  }
        setup[3] := 100;             {  height of region  }
        pbfile( pscreen, setup, error );
        if( error <> 0 ) then
	begin
            text('Error writing screen..');
        end;
{  Retrieve the .PCC file and write to the screen  }

        moveab(30,200);
        setup[1] := 0;               {  read a file  }
        pbfile( pscreen, setup, error );
        if( error <> 0 ) then
	begin
            text('Error reading the file..');
        end;
        moveab(10,335);
        dcolor(15);
        text('Press return to exit...');
        readln;
        finit;
end.
